ერთი და იმავე წინასწარი გასაღებით კონფიგურირებული ორი კარიბჭე ასრულებს ხელის ჩამორთმევას და პაკეტების ჩანაწერი არ აჩვენებს არცერთ საიდუმლოს, რომელიც მავთულს კვეთს. ეს ის ნაწილია, რომელიც ხალხს ახსოვს. საინტერესო ნაწილი ის არის, თუ რას ითვლის თითოეული ვერსია სინამდვილეში საიდუმლოს ცნობადობის დასამტკიცებლად, რადგან IKEv1 და IKEv2 ამ მტკიცებულებას სხვადასხვა შეყვანისგან აშენებენ და ამის დროს სხვადასხვა ინფორმაციას ამჟღავნებენ. წაიკითხეთ ორი კვალი გვერდიგვერდ და განსხვავება წყვეტს გარეგნული ყოფნას.

რას უნდა მიაღწიოს მტკიცებულებამ

Diffie-Hellman ორივე მხარეს აძლევს საერთო მნიშვნელობას, რომლის საჯარო ნახევრებიც ნებისმიერ დამკვირვებელს შეუძლია გამოთვალოს. თვითონ ეს არაფერს ამტკიცებს იდენტობაზე: გასაღებების გაცვლის დამამთავრებელ თავდამსხმელს იგივე საერთო მნიშვნელობა აქვს, რაც თქვენს კარიბჭეს. აუთენტიკაციის საფეხური იმისთვის არსებობს, რომ ეს გაცვლა დაუკავშიროს საიდუმლოს, რომელიც მხოლოდ განკუთვნილ მხარეებს აქვთ, და იმ იდენტობებსა და პარამეტრებს, რომლებზეც ისინი შეთანხმდნენ.

სწორედ ეს კავშირია მიზეზი, რომ ჰეში მეტს ფარავს ვიდრე გასაღები. მხოლოდ საიდუმლოს ფარავდეს რომ, თავდამსხმელი მას სხვა იდენტობების ან წინადადებების მქონე სხვა გაცვლაში გაიმეორებდა.

IKEv1 Main Mode: გამოიღეთ SKEYID, შემდეგ დაამტკიცეთ

Main Mode ასრულებს ექვს შეტყობინებას. პირველი წყვილი უსაფრთხოების ასოციაციაზე მოლაპარაკებას აწარმოებს, მეორე ცვლის Diffie-Hellman-ის საჯარო მნიშვნელობებსა და nonce-ებს, ხოლო მესამე ატარებს იდენტობებსა და აუთენტიკაციის ჰეშებს ახლად დამყარებული დაშიფვრის ქვეშ. RFC 2409 განსაზღვრავს კონსტრუქციას: წინასწარი გასაღების აუთენტიკაციისას SKEYID გამოიღება საიდუმლოდან და ორივე nonce-დან, ხოლო შემდგომი გასაღების მასალა SKEYID-დან, Diffie-Hellman-ის საერთო მნიშვნელობიდან, ქუქებიდან და მუდმივებიდან.

მეხუთე და მეექვსე შეტყობინებაში ჰეში ითვლება Diffie-Hellman-ის მნიშვნელობაზე, ორ ქუქზე, წინადადებასა და გამომგზავნის იდენტობაზე, SKEYID-ით როგორც გასაღებით. მიმღები მას თავისი კონფიგურირებული საიდუმლოთი ხელახლა ითვლის. შეუთავსებლობა ამთავრებს გაცვლას და საიდუმლო თავად არასოდეს არის დატვირთვა.

Aggressive Mode იმავე სამუშაოს სამ შეტყობინებაში აწურებს, რაც ნიშნავს, რომ იდენტობები და აუთენტიკაციის ჰეში დაშიფრული არხის არსებობამდე მგზავრობენ. ეს რეალური გამომჟღავნებაა გამოსაცნობი საიდუმლოსთვის და დამოუკიდებელია იმ კითხვისგან, გადაიცა თუ არა საიდუმლო. IKEv1 მოძველებულია RFC 9395-ით, ამიტომ ძველი კვალი დიაგნოსტიკური ვარჯიშია და არა განლაგების მიზანი.

IKEv2: სხვა გამოყვანა და სხვა AUTH დატვირთვა

IKEv2 არ იყენებს ხელახლა IKEv1-ის გასაღების განრიგს. საწყისი IKE გასაღებები მოდის თესლიდან, რომელიც აგებულია nonce-ებიდან და Diffie-Hellman-ის საერთო მნიშვნელობიდან, და შვილობილი უსაფრთხოების ასოციაციები მისგან გამოიყვანება. წინასწარი გასაღები თესლს საერთოდ არ კვებავს.

შემდეგ აუთენტიკაცია ჩნდება როგორც AUTH დატვირთვა. საერთო გასაღებით აუთენტიკაციისთვის RFC 7296 განსაზღვრავს საიდუმლოს შევსებულ ფორმას, რომელიც მიიღება საიდუმლოს ფიქსირებული სტრიქონით ჰეშირებით Key Pad for IKEv2, შემდეგ კი ხელმოწერილი გაცვლის მონაცემებისა და იდენტობის ამ შევსებული გასაღებით ჰეშირებით. დამამოწმებელს შეუძლია იგივე მნიშვნელობის ხელახლა აშენება; დამკვირვებელს არ შეუძლია, საიდუმლოს გარეშე.

ყურადღება მიაქციეთ, რა შეიცვალა. IKEv1-ში საიდუმლო გასაღების განრიგშია გამომცხვარი მანამ, სანამ აუთენტიკაციის ჰეში არსებობს; IKEv2-ში განრიგი დამოუკიდებელია საიდუმლოსგან და მტკიცებულება ცალკე დატვირთვაა, დაკავშირებული ხელმოწერილ ოქტეტებთან. იგივე კონცეპტუალური გარანტია, სხვა მექანიზმი, და ამიტომ პარამეტრების სახელები და ჩანაწერები ერთი-ერთზე არ ემთხვევა.

რას სწავლობს დამკვირვებელი სინამდვილეში

Diffie-Hellman-ის საჯარო მნიშვნელობები, წინადადებები, nonce-ები და ქუქები ორივე ვერსიაში ჩანს. იდენტობები ჩანს IKEv1 Aggressive Mode-ში და დაცულია სხვა შემთხვევებში. საიდუმლო არასოდეს ჩანს.

ამ ბოლო წინადადებას აქვს ზღვარი, რომელიც ღირს ითქვას. სუსტი, ადამიანის მიერ არჩეული საიდუმლო შეიძლება გამოცნობით შეტევას დაექვემდებაროს: თავდამსხმელი ითვლის, რა იქნებოდა აუთენტიკაციის მნიშვნელობა კანდიდატი საიდუმლოსთვის, და ადარებს. IKEv1 Aggressive Mode ამას ყველაზე იაფს ხდის, რადგან მტკიცებულება ღიადაა, და სტანდარტები ზოგადად აფრთხილებენ დაბალი ენტროპიის საიდუმლოებებზე. საიდუმლოს არასოდეს გაგზავნა არ არის იგივე, რაც ცუდი საიდუმლოს უსაფრთხოდ გახდომა.

რა ვქნათ ამ შედარებით

გამოიყენეთ ერთი უნიკალური საიდუმლო თითოეული მხარეთა წყვილისთვის, შექმენით ის შემთხვევითი წყაროდან და მოაბრუნეთ იმავე მომზადების გზით, რომელმაც ის გაავრცელა. თუ საიდუმლო იმ კონფიგურაციის შაბლონშია, რომელიც ყველა ფილიალში იგზავნება, ერთ ადგილას დარღვევა ყველგან დარღვევაა.

უპირატესობა მიეცით სერტიფიკატებზე დაფუძნებულ აუთენტიკაციას, სადაც ოპერაციული ხარჯი მისაღებია, რადგან ის აშორებს საერთო საიდუმლოს გამოცნობის პრობლემას და თითოეულ მხარეს ცალკე იდენტობას აძლევს. სადაც წინასწარი გასაღები რჩება, შეინახეთ ის გრძელი, შეზღუდეთ მისი არეალი და IKE-ის ვერსია განიხილეთ უსაფრთხოების გადაწყვეტილებად და არა თავსებადობის დეტალად.

დაკავშირებული სტატიები